## portmap 4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# @(#) Makefile 1.4 93/11/21 17:36:53
+# @(#) Makefile 1.5 96/05/31 15:50:40
 
 ####################################
 ### Beginning of configurable stuff.
@@ -28,15 +28,15 @@
 
 # When the portmapper cannot find any local interfaces (it will complain
 # to the syslog daemon) your system probably has variable-length socket
-# address structures (struct sockaddr has a sa_len component; example:
-# 4.4BSD). Uncomment next macro definition in that case.
+# address structures (struct sockaddr has a sa_len component; examples:
+# AIX 4.1 and 4.4BSD). Uncomment next macro definition in that case.
 #
-# SA_LEN = -DHAS_SA_LEN
+# SA_LEN = -DHAS_SA_LEN		# AIX 4.x, BSD 4.4
 
-# With verbose logging on, HP-UX 9.x leaves zombies behind when SIGCHLD
-# is not ignored. Enable next macro for a fix.
+# With verbose logging on, HP-UX 9.x and AIX 4.1 leave zombies behind when
+# SIGCHLD is not ignored. Enable next macro for a fix.
 #
-ZOMBIES = -DIGNORE_SIGCHLD
+# ZOMBIES = -DIGNORE_SIGCHLD	# AIX 4.x, HP-UX 9.x
 
 # Uncomment the following macro if your system does not have u_long.
 #
@@ -46,35 +46,30 @@
 # libwrap.a object library. WRAP_DIR should specify the directory with
 # that library.
 
-WRAP_DIR= .
+WRAP_DIR= ../tcp_wrappers
 
 # Auxiliary object files that may be missing from your C library.
 #
-AUX	= daemon.o # strerror.o
+AUX	= daemon.o strerror.o
 
-# Uncomment the following macro definitions if you are running SYSV.4.
-# This won't help much because SYSV.4 uses rpcbind instead of portmap.
+# NEXTSTEP is a little different. The following seems to work with NS 3.2
 #
-# CC	= /usr/ucb/cc
-# LIBS	= -lrpcsoc
-# SYS	= -DSYSV40
+# SETPGRP	=-DUSE_SETPGRP00
+# LIBS	= -m
+# NSARCHS	= -arch m68k -arch i386 -arch hppa
 
 # Auxiliary libraries that you may have to specify
 #
-
-LIBS	= -lbsd # -lrpc
-
-LINUX = -D_USE_BSD -D_USE_BSD_SIGNAL
+# LIBS	= -lrpc
 
 ### End of configurable stuff.
 ##############################
 
 SHELL	= /bin/sh
 
-COPT	= $(HOSTS_ACCESS) $(CHECK_PORT) \
-	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) $(LINUX)
-
-CFLAGS	= $(COPT) -O
+COPT	= -Dconst= -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
+	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN)
+CFLAGS	= $(COPT) -O $(NSARCHS) $(SETPGRP)
 OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)
 
 all:	portmap pmap_dump pmap_set
@@ -97,12 +92,8 @@
 clean:
 	rm -f *.o portmap pmap_dump pmap_set from_local core
 
-shar:
-	@shar README Makefile portmap.c daemon.c strerror.c diffs_wrt_bsd \
-	pmap_dump.c pmap_set.c from_local.c pmap_check.c pmap_check.h BLURB
-
-diffs_wrt_bsd: portmap.c.bsd portmap.c daemon.c.bsd daemon.c
-	-(diff -c portmap.c.bsd portmap.c; diff -c daemon.c.bsd daemon.c) >$@
+tidy:	clean
+	chmod 755 . ; chmod -R a+r .
 
 deps:
 	@$(CC) -M $(CFLAGS) *.c | grep -v /usr/include |sed 's/\.\///'
