## portmap 5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# @(#) Makefile 1.5 96/05/31 15:50:40
+# @(#) Makefile 1.6 96/07/06 23:06:17
 
 ####################################
 ### Beginning of configurable stuff.
@@ -10,13 +10,13 @@
 #
 FACILITY=LOG_MAIL
 
-# To disable host access control, comment out the following macro definition.
-# Note: host access control requires the strtok() and strchr() routines.
-# Host access control can also be turned off by providing no access control
-# tables. The local system, since it runs the portmap daemon, is always
-# treated as an authorized host.
+# To disable tcp-wrapper style access control, comment out the following
+# macro definitions.  Access control can also be turned off by providing
+# no access control tables. The local system, since it runs the portmap
+# daemon, is always treated as an authorized host.
 
 HOSTS_ACCESS= -DHOSTS_ACCESS
+WRAP_LIB = $(WRAP_DIR)/libwrap.a
 
 # Comment out if your RPC library does not allocate privileged ports for
 # requests from processes with root privilege, or the new portmap will
@@ -26,12 +26,47 @@
 
 CHECK_PORT = -DCHECK_PORT
 
+# Warning: troublesome feature ahead!! Enable only when you are really
+# desperate!!
+#
+# It is possible to prevent an attacker from manipulating your portmapper
+# tables from outside with requests that contain spoofed source addresses.
+# The countermeasure is to force all rpc servers to register and
+# unregister with the portmapper via the loopback network interface,
+# instead of via the primary network interface that every host can talk
+# to. For this countermeasure to work it is necessary to uncomment the
+# LOOPBACK definition below, and to take the following additional steps:
+# 
+# (1) Modify the libc library (or librpc if you have one) and replace
+# get_myaddress() by a version that selects the loopback address instead
+# of the primary network interface address. A suitable version is
+# provided in the file get_myaddress.c. This forces rpc servers to send
+# all set/unset requests to the loopback address.
+# 
+# (2) Rebuild all statically-linked rpc servers with the modified
+# library.
+# 
+# (3) Disable IP source routing in the kernel (otherwise an outside
+# attacker can still send requests that appear to come from the local
+# machine).
+# 
+# Instead of (1) it may be sufficient to run the rpc servers with a
+# preload shared object that implements the alternate get_myaddress()
+# behavior (see Makefile.shlib). You still need to disable IP source
+# routing, though.
+#
+# I warned you, you need to be really desperate to do this. It is
+# probably much easier to just block port UDP and TCP ports 111 on
+# your routers.
+#
+# LOOPBACK = -DLOOPBACK_SETUNSET
+
 # When the portmapper cannot find any local interfaces (it will complain
 # to the syslog daemon) your system probably has variable-length socket
 # address structures (struct sockaddr has a sa_len component; examples:
 # AIX 4.1 and 4.4BSD). Uncomment next macro definition in that case.
 #
-# SA_LEN = -DHAS_SA_LEN		# AIX 4.x, BSD 4.4
+# SA_LEN = -DHAS_SA_LEN		# AIX 4.x, BSD 4.4, FreeBSD, NetBSD
 
 # With verbose logging on, HP-UX 9.x and AIX 4.1 leave zombies behind when
 # SIGCHLD is not ignored. Enable next macro for a fix.
@@ -62,20 +97,25 @@
 #
 # LIBS	= -lrpc
 
+# Comment out if your compiler talks ANSI and understands const
+#
+CONST   = -Dconst=
+
 ### End of configurable stuff.
 ##############################
 
 SHELL	= /bin/sh
 
-COPT	= -Dconst= -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
-	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN)
-CFLAGS	= $(COPT) -O $(NSARCHS) $(SETPGRP)
+COPT	= $(CONST) -Dperror=xperror $(HOSTS_ACCESS) $(CHECK_PORT) \
+	$(SYS) -DFACILITY=$(FACILITY) $(ULONG) $(ZOMBIES) $(SA_LEN) \
+	$(LOOPBACK) $(SETPGRP)
+CFLAGS	= $(COPT) -O $(NSARCHS)
 OBJECTS	= portmap.o pmap_check.o from_local.o $(AUX)
 
 all:	portmap pmap_dump pmap_set
 
 portmap: $(OBJECTS) $(WRAP_DIR)/libwrap.a
-	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_DIR)/libwrap.a $(LIBS)
+	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(WRAP_LIB) $(LIBS)
 
 pmap_dump: pmap_dump.c
 	$(CC) $(CFLAGS) -o $@ $? $(LIBS)
@@ -86,11 +126,15 @@
 from_local: from_local.c
 	cc $(CFLAGS) -DTEST -o $@ from_local.c
 
+get_myaddress: get_myaddress.c
+	cc $(CFLAGS) -DTEST -o $@ get_myaddress.c $(LIBS)
+
 lint:	
 	lint $(COPT) $(OBJECTS:%.o=%.c)
 
 clean:
-	rm -f *.o portmap pmap_dump pmap_set from_local core
+	rm -f *.o portmap pmap_dump pmap_set from_local get_myaddress \
+	    get_myaddress.so core
 
 tidy:	clean
 	chmod 755 . ; chmod -R a+r .
@@ -100,9 +144,11 @@
 
 daemon.o: daemon.c
 from_local.o: from_local.c
-pmap_check.o: pmap_check.c pmap_check.h Makefile
+get_myaddress.o: get_myaddress.c
+pmap_check.o: pmap_check.c
+pmap_check.o: pmap_check.h Makefile
 pmap_dump.o: pmap_dump.c
 pmap_set.o: pmap_set.c
 portmap.o: portmap.c
-portmap.o: pmap_check.h
+portmap.o: pmap_check.h Makefile
 strerror.o: strerror.c
