=== debian/changelog ===
portmap (5-26.0maemo2) unstable; urgency=low

  * Small fix on the init.d script that prevents portmap to start on fremantle 

 -- Walter <walter.guerra@signove.com>  Thu,  4 Jun 2009 08:49:43 -0400

portmap (5-26.0maemo1) unstable; urgency=low

  * Do not use libwrap.
  * Fixes: NB#73591

 -- Maemo Integration <integration@maemo.org>  Tue,  9 Oct 2007 16:36:30 +0300

portmap (5-26) unstable; urgency=low

  * Really fix the encoding issues in the Spanish debconf translation
    (there was still one char in latin1)
  [ New translations ]
  * Basque po-debconf translation, provided by Piarres Beobide 
  (Closes: #404178)
  * Portuguese translation, provided by Miguel Figueiredo (Closes: #404552)
  * Galician translation, provided by Jacobo Tarrio (Closes: #405401)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 11 Feb 2007 17:31:24 +0100

portmap (5-25) unstable; urgency=low

  * Fixed encoding in Spanish manpage, thanks to Christian Perrier for
    spotting this and providing a patch (Closes: #404166)
  [ Translation updates ]
  * Spanish po-debconf review by Javier Fernandez-Sanguino.
  * Brazilian Portuguese update by André Luís Lopes (Closes: #403826)
  * Swedish updated by Daniel Nylander.
  * Vietnamese updated by Clytie Siddall.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 22 Dec 2006 09:16:14 +0100

portmap (5-24) unstable; urgency=medium

  * Fixed "subprocess post-installation script returned error exit
    status 1". Closes: #402220.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Dec 2006 11:50:26 +1100

portmap (5-23) unstable; urgency=low

  * Adapt patch from Ubuntu to prevent rpcinfo from being executed if
    portmap is not running for some reason. This prevents this script
    from stalling in some installations (was reported at Ubuntu
    Malone bug #61668: Building LTSP chroot stops during portmap installation)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  7 Dec 2006 11:21:20 +0100

portmap (5-22) unstable; urgency=low

  * Add German debconf translation provided by Mathias Klein (Closes: #397043)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  7 Dec 2006 10:19:30 +0100

portmap (5-21) unstable; urgency=low

  * Add a note in the manpage related to the use of IP addresses in
    /etc/hosts.{allow,deny} when protecting portmapper. (Closes: #361019)
  * Updated translations:
    - Spanish translation update provided by Javier Fernandez-Sanguino 
      (Closes: #382962)
    - Japanese translation update provided by Kenshi Muto (Closes: #379933)
  [ debian/postinst ]
  * Modify postinst so it does not run 'rpcinfo -p' for new installs of the
    package as suggested by Joey Hess, this solves a problem with new d-i
    installations since rpcinfo stalls when the package is being installed, a
    static IP address has been assigned, 'lo' is down and portmap tries
    to list the RPC services available. (Closes: #383941)
  [ debian/rules ]
  * Re-add the 'start' sentences in runlevels 2-5 (revert the change
    introduced in -17 and reopens #340158, #334758). This is needed because if
    someone goes to runlevel 1 (stops portmapper and NFS) and then back to
    runlevel 2 portmapper would not start and NFS would fail. 
  [ debian/init.d ]
  * Reorder the "Starting portmap" message so it is presented before we say
    "Already running"

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 11 Oct 2006 12:12:10 +0200

portmap (5-20) unstable; urgency=low

  * Resynchronise with Ubuntu.
  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Dutch Debconf templates translation, closes: #367961.
    Patch by Vincent Zweije <zweije@xs4all.nl>.
  * Russian debconf templates translation, closes: #374007.
    Patch by Alexander Bouksha <abook@purpe.ru>.
  * Fixed "typo in postinst script", closes: #357248.
  * Fixed "unused function in postinst", closes: #376120.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Jul 2006 20:23:16 +1000

portmap (5-19ubuntu2) edgy; urgency=low

  * Source debconf confmodule at top of postinst.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Jun 2006 18:39:11 +0100

portmap (5-19ubuntu1) edgy; urgency=low

  * Sync with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Jun 2006 13:18:57 +0200

portmap (5-19) unstable; urgency=low

  * Remove duplicate LSB info and fix the stop argument in runlevel 1
    (Closes: #361053)
  * Translation updates:
    - Dutch, provided by Vincent Zweije (Closes: #356278)
    - Danish, provided by Claus Hindsgaul (Closes: #357425)
    - Italian, provided by Luca Monducci (Closes: #357583)
    - Czech, provided by Miroslav Kure (Closes: #360314)
    - French, provided by Jean-Christophe Champarnaud (Closes: #360629)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 25 Apr 2006 00:55:41 +0200

portmap (5-18) unstable; urgency=low

  * Use the LSB init.d script provided by Ubuntu
  * Rephrase the template to make it clear that only those *not* providing RPC
    services to the network should bind only to loopback (#316607)
  * Included patch provided by Gerrit Pape which adds an '-f' option to make
    it work in foreground mode (Closes: #351625)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 25 Feb 2006 23:13:07 +0100

portmap (5-17) unstable; urgency=low

  * Fixed "Portmap dies w/ SIGPIPE during heavy I/O", closes: #342709.
    Patch by Michael S. Peek <peek@tiem.utk.edu>.
  * Fixed "init script needlessly executed twice (and it informs the
    user about it too)", closes: #340158, #334758. Patch by Joey Hess
    <joeyh@debian.org>.
  * Added Swedish debconf translation, closes: #333125. Patch by
    Daniel Nylander <yeager@lidkoping.net>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Jan 2006 08:59:01 +1100

portmap (5-16ubuntu2) dapper; urgency=low

  * Actually exit 0 if the portmap is already running.  Malone #6717


