## portmap 6.0-9ubuntu1

=== debian/changelog ===
portmap (6.0-9ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #313263)
    - debian/control: Add Depend on lsb >= 3.2-14, which has the
      status_of_proc() function.
    - debian/init.d: Add the 'status' action.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 02 Jan 2009 11:05:15 -0600

portmap (6.0-9) unstable; urgency=medium

  * In both init.d and postinst, replace "pidofproc portmap" with
    "pidofproc -p /var/run/portmap.pid /sbin/portmap";
    closes: #448470, #506429

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 26 Nov 2008 20:14:15 +1100

portmap (6.0-8ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #301009)
    - debian/control: Add Depend on lsb >= 3.2-14, which has the
      status_of_proc() function.
    - debian/init.d: Add the 'status' action.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 22 Nov 2008 20:10:12 +0530

portmap (6.0-8) unstable; urgency=high

  * Fix the fix for #448470; patch by Juan Cespedes; closes: #506207, #504305
  * Replace pidof with pidofproc in postinst; closes: #504867, #490985

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Nov 2008 10:01:57 +1100

portmap (6.0-7) unstable; urgency=high

  [ Yves-Alexis Perez ]
  * urgency=high for RC bug closing.
  * debian/init.d: use pidofproc to check portmap pid, so it check if portmap
    is running by looking in /var/run/portmap.pid instead of running
    processes. Finally closes: #448470

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 27 Oct 2008 10:21:24 +1100

portmap (6.0-6ubuntu1) intrepid; urgency=low

  * debian/control: Add Depend on lsb >= 3.2-14, which has the
    status_of_proc() function.
  * debian/init.d: Add the 'status' action (LP: #254499).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sun, 03 Aug 2008 15:05:23 -0500

portmap (6.0-6) unstable; urgency=low

  * Acknowledge NMU; closes: #482740
  * Conflicts with sysv-rc (< 2.86.ds1-59); refer to #483172;
    closes: #483102
  * Patch 04-460156-no-pie.diff: Don't use -pie; closes: #460156
  * Set OPTIONS correctly; closes: #420170
  * Don't execute init script twice at boot; closes: #437912
  * New uploader
  * Standards version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 12 Jun 2008 18:19:45 +1000

portmap (6.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid useless 1 second sleep during boot, while still doing
    it when needed during restarts (Closes: #412636).  Patch
    from Petter Reinholdtsen.
  * New patch 02-448470-pidfile.diff to write pid to
    /var/run/portmap.pid (Closes: #448470).  Patch
    from Petter Reinholdtsen.
  * New patch 03-356784-lotsofinterfaces.diff to handle more
    than 256 network interfaces (Closes: #356784).  Patch
    from Steven Wilton.
  * Updated upstream URL and name in copyright file (Closes: #454208).
  * Change init.d script to use the omitpid feature in sendsigs to
    allow it to stop later during shutdown (Closes: #468665).  Patch
    from Petter Reinholdtsen.
  * Fix bashism in postinst script (Closes: #472236).  Patch
    from Raphael Geissert.
  * Updated Dutch debconf translation from Vincent Zweije (Closes: #463798).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 May 2008 17:28:21 +0200

portmap (6.0-5) unstable; urgency=medium

  [ Anibal Monsalve Salazar ]

  * Build-Depends on quilt
  * Bumped up Standards-Version to 3.7.3
  * Moved homepage from description to control header line
  * Fixed "init script needlessly executed twice". Closes: #340158
    Patch by Joey Hess <joeyh@debian.org>
  * Fixed typo in portmap.8. Closes: #437892
    Patch by A. Costa <agcosta@gis.net>
  * Fixed init.d dependency loop with $named. Closes: #459430
    Patch by Petter Reinholdtsen <pere@hungry.com>

  [ Christian Perrier ]

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project.
    Closes: #442329, #420514
  * Debconf translation updates
    - Basque. Closes: #443154
    - Swedish. Closes: #443162
    - Japanese. Closes: #443175
    - Portuguese. Closes: #443220
    - Bulgarian. Closes: #443228
    - Spanish. Closes: #443229
    - Vietnamese. Closes: #443273
    - Italian. Closes: #443496
    - Finnish. Closes: #443620
    - Czech. Closes: #443663
    - German. Closes: #443698
    - Tamil. Closes: #444282
    - French. Closes: #444745
    - Galician. Closes: #444759
    - Russian. Closes: #445009
    - Brazilian Portuguese. Closes: #445274

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Jan 2008 19:34:52 +1100

portmap (6.0-4) unstable; urgency=low

  * Portmap now build-depends on libwrap0-dev. Closes: #436309.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Aug 2007 08:33:22 +1000

portmap (6.0-3) unstable; urgency=low

  * Enabled "-pie" link option. Closes: #427997.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 15 Jul 2007 08:46:00 +1000

portmap (6.0-2) unstable; urgency=low

  * Fixed typo in debian/rules. Closes: #423499.
  * Fixed the following lintian messages:
    - W: portmap source: debian-rules-ignores-make-clean-error line 24
    - W: portmap: manpage-has-errors-from-man usr/share/man/man8/portmap.8.gz
         Empty input line #156
    - W: portmap: init.d-script-missing-lsb-keyword /etc/init.d/portmap
         short-description

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 04 Jul 2007 08:53:23 +1000

portmap (6.0-1) unstable; urgency=low

  * Build portmap without the "-pie" option. Closes: #424029.
  * Fixed typo in portmap.8 manpage. Closes: #418482.
  * Fixed "Fails to find local interfaces on Debian/kFreeBSD".
    Closes: #423499.
  * Fixed the following lintian message:
    - W: portmap source: debian-rules-sets-DH_COMPAT

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jun 2007 18:09:42 +1000

portmap (6.0-0) unstable; urgency=low

  * New upstream release.
  * debian/watch: added.

