=== debian/control ===
Source: portmap
Section: net
Priority: standard
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends: libwrap0-dev, debhelper (>= 5), quilt
Standards-Version: 3.8.0
Homepage: http://neil.brown.name/portmap/

Package: portmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Replaces: netbase (<< 4.00)
Conflicts: sysv-rc (< 2.86.ds1-59) 
Description: RPC port mapper
 Portmap is a server that converts RPC (Remote Procedure Call) program
 numbers into DARPA protocol port numbers. It must be running in order
 to make RPC calls.
 .
 Services that use RPC include NFS and NIS.
