=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,30 @@
 #!/usr/bin/make -f
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-# Copyright (C) 2004-2005 by Anibal Monsalve Salazar <anibal@debian.org>
+# Copyright (C) 2004-2007 by Anibal Monsalve Salazar <anibal@debian.org>
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=5
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-build: build-stamp
+include /usr/share/quilt/quilt.make
+
+build: patch build-stamp
 build-stamp:
 	dh_testdir
+ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
+	CPPFLAGS=-DHAS_SA_LEN $(MAKE)
+else
 	$(MAKE)
+endif
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
+	rm -f .depend
 	dh_clean build-stamp
 
 install: build
@@ -39,7 +45,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples
-	dh_installinit -- start 43 S . start 32 0 6 . start 18 2 3 4 5 . stop 81 1 .
+	dh_installinit -- start 43 S . start 32 0 6 . stop 81 1 .
 	dh_installcron
 	dh_installman
 	dh_installinfo
